* {
    margin: 0;
    padding: 0;
}

body {
    box-sizing: border-box;
    background-color: #F3F5FC;
}

.display {
    display: flex;
    gap: 80px;
    padding: 40px;
}

.display__processing-area {
    display: flex;
    flex-direction: column;
    padding-left: 200px;
}

.display__processing-area__logo {
    width: 120px;
    height: 48px;
    margin-left: -160px;
    padding-bottom: 80px;
}

.display__processing-area__textarea {
    border: none;
    background: none;
    width: 680px;
    height: 400px;
    font-family: 'Inter', sans-serif;
    font-size: 2rem;
    color: #0A3871;
}

.display__processing-area__textarea::placeholder {
    font-family: 'Inter', sans-serif;
    font-size: 2rem;
    color: #0A3871;
}

.display__processing-area__warning {
    display: flex;
    height: 18px;
    gap: 8px;
    opacity: 80%;
    padding-bottom: 16px;
}

.display__processing-area__warning p {
    font-family: 'Inter', sans-serif;
    font-weight: 400;
    font-size: 0.75rem;
    line-height: 18px;
    color: #495057;
}

.display__processing-area__action {
    display: flex;
    justify-content: center;
    text-align: center;
    gap: 24px
}

.display__processing-area__action__button {
    width: 328px;
    height: 67px;
    border-radius: 24px;
    font-family: 'Inter', sans-serif;
    font-size: 1rem;
    font-weight: 400;
    text-align: center;
}

#button1 {
    border: none;
    background-color: #0A3871;
    color: #ffffff;
}

#button2 {
    background-color: #D8DFE8;
    color: #0A3871;
    border: 1px solid #0A3871;
}

.display__result-area {
    display: flex;
    flex-direction: column;
    background: #FFFFFF;
    border-radius: 32px;
    text-align: center;
    font-family: 'Inter', sans-serif;
    gap: 16px;
    width: 400px;
    height: 640px;
    position: relative;
}

.display__result-area__text {
    font-family: 'Inter', sans-serif;
    font-size: 1.5rem;
    font-weight: 400;
    color: #495057;
    width: 336px;
    padding: 32px;
    text-align: left;
    display: none;
}

.display__result-area__img {
    margin-top: 100px;
    visibility: visible;
}

.display__result-area__title {
    width: 70%;
    font-weight: 700;
    font-size: 1.5rem;
    color: #343A40;
    visibility: visible;
    padding-left: 15%;
}

.display__result-area__message {
    width: 70%;
    font-weight: 400;
    font-size: 1rem;
    color: #495057;
    visibility: visible;
    padding-left: 15%;
}

.display__result-area__button {
    background: none;
    color: #0A3871;
    border: 1px solid #0A3871;
    width: 328px;
    height: 67px;
    border-radius: 24px;
    font-family: 'Inter', sans-serif;
    font-size: 1rem;
    font-weight: 400;
    position: absolute;
    bottom: 10px;
    left: 50%;
    transform: translateX(-50%);
    display: none;
    align-items: center;
    justify-content: center;
}

footer {
    text-align: center;
    background-color: #0A3871;
    color: #f6f6f6;
    padding: 10px 0 10px 0;
    font-family: 'Inter', sans-serif;
    font-size: 0.88rem;
    font-weight: 400;
}

footer img {
    width: 1.1rem;
    align-items: center;
}


@media (max-width: 768px) {

    .display {
        display: flex;
        flex-direction: column;
        gap: 64px;
    }

    .display__processing-area {
        padding: 0px;
    }

    .display__processing-area__logo {
        margin-left: -40px;
        padding-bottom: 116px;
        width: 20%;
        height: 20%;
        padding-top: 33px;
    }

    .display__processing-area__textarea {
        width: 100%;
        height: 500px;
        padding: 0px;
    }

    .display__processing-area__warning {
        height: 100%;
    }

    .display__processing-area__action__button {
        width: 50%;
        height: 67px;
    }

    .display__result-area {
        width: 100%;
        height: 100%;
    }

    .display__result-area__text {
        width: 80%;
        padding: 10%;
    }

    .display__result-area__img {
        display: none;
    }

    .display__result-area__title {
        width: 100%;
        padding-left: 0%;
    }

    .display__result-area__title {
        width: 80%;
        padding: 10% 10% 2.5% 10%;
    }

    .display__result-area__message {
        width: 80%;
        padding: 2.5% 10% 10%;
    }

    .display__result-area__button {
        width: 90%;
        position: relative;
        margin-bottom: 32px;
    }

    footer {
        width: 100%;
        padding: 10px 0 10px 0;
    }
}


@media (max-width: 500px) {
    .display {
        display: flex;
        gap: 64px;
        padding: 24px;
    }

    .display__processing-area__logo {
        margin-left: -33px;
        margin-top: -33px;
        padding-bottom: 80px;
        width: 30%;
        height: 30%;
    }

    .display__processing-area__textarea {
        height: 269px;
    }

    .display__processing-area__action {
        display: flex;
        flex-direction: column;
    }

    .display__processing-area__action__button {
        width: 100%;
    }

    .display__result-area__text {
        width: 80%;
        padding: 10%;
    }
}